Contents

# Mathematical Functions

This category contains the Mathematical functions for Calc. To open the Function Wizard, choose Insert - Function.

## [text/scalc/01/func_aggregate.xhp#aggregate_head not found].

This function returns an aggregate result of the calculations in the range. You can use different aggregate functions listed below. The Aggregate function enables you to omit hidden rows, errors, SUBTOTAL and other AGGREGATE function results in the calculation.

## RAWSUBTRACT

Subtracts a set of numbers and gives the result without eliminating small roundoff errors.

## SUM

Adds a set of numbers.

## SUMIF

Determines which values in a range of cells meet a specified criterion, then returns the sum of the matching values. Alternatively the function can determine which values in one range of cells meet a criterion, then return the sum of values in the corresponding cells in a second range of cells.

## HOUR

Return a numeric value calculated by a combination of three colors (red, green and blue) and the alpha channel, in the RGBA color system. The result depends on the color system used by your computer.

## SUMIFS

Returns the sum of the values of cells in a range that meets multiple criteria in multiple ranges.

## ABS

Vráti absolútnu hodnotu čísla.

#### Syntax

ABS(Číslo)

Číslo je číslo, ktorého absolútna hodnota sa bude počítať. Absolútna hodnota čísla je jeho hodnota bez znamienka +/-

#### Example

=ABS(-56) vráti 56.

=ABS(12) vráti 12.

=ABS(0) vráti 0.

## ACOS

Vráti inverzný trigonometrický kosínus čísla.

#### Syntax

ACOS(Číslo)

Táto funkcia vráti inverznú trigonometrickú funkciu kosínusu Čísla, čo je uhol (v radiánoch) ktorého kosínus je číslo. Vrátený uhol je medzi 0 a PI.

Uhol v stupňoch získate použitím funkcie DEGREES.

#### Example

=ACOS(-1) vráti 3.14159265358979 (PI v radiánoch)

=DEGREES(ACOS(0.5)) vráti 60. Kosínus 60 stupňov je 0.5.

## ACOSH

Vráti inverzný hyperbolický kosínus zadaného čísla.

#### Syntax

ACOSH(Číslo)

Táto funkcia vráti inverzný hyperbolický kosínus čísla, čo je číslo a jeho hyperbolický kosínus je tiež číslo.

Číslo musí byť väčšie alebo rovné 1.

#### Example

=ACOSH(1) vracia 0.

=ACOSH(COSH(4)) vracia 4.

## ACOT

Vracia inverzný kotangens (arcus kotangens) daného čísla.

#### Syntax

ACOT(Číslo)

Táto funkcia vráti inverzný kotangens čísla, čo je uhol (v radiánoch) a jeho hodnota je číslo. Vrátený uhol je medzi hodnotami 0 a PI.

Uhol v stupňoch získate použitím funkcie DEGREES.

#### Example

=ACOT(1) vráti 0.785398163397448 (PI/4 v radiánoch).

=DEGREES(ACOT(1)) vráti 45. Tangens 45 stupňov je 1.

## ACOTH

Vráti inverzný hyperbolický kotangens zadaného čísla.

#### Syntax

ACOTH(Číslo)

Táto funkcia vracia inverzný hyperbolický tangens čísla, čo je číslo a jeho hyperbolický tangens je tiež číslo.

Chybný výsledok, ak je číslo zahrnuté medzi -1 a 1.

#### Example

=ACOTH(1.1) vráti inverzný hyperbolický kotangens čísla 1.1, približne 1.52226.

## ASIN

Vráti inverzný trigonometrický sínus zadaného čísla.

#### Syntax

ASIN(Číslo)

Táto funkcia vráti inverzný trigonometrický sínus čísla, čo je uhol (v radiánoch) a jeho hodnota je číslo. Vrátený uhol je medzi -PI/2 a +PI/2

Uhol v stupňoch získate použitím funkcie DEGREES.

#### Example

=ASIN(0) vráti 0.

=ASIN(1) vráti 1.5707963267949 (PI/2 v radiánoch).

=DEGREES(ASIN(0.5)) vráti 30. Sínus 30 stupňov je 0.5.

## ASINH

Vráti inverzný hyperbolický sínus zadaného čísla.

#### Syntax

ASINH(Číslo)

Táto funkcia vráti inverzný hyperbolický sínus čísla, čo je číslo a jeho hyperbolický sinus je tiež číslo.

#### Example

=ASINH(-90) vráti približne -5.1929877.

=ASINH(SINH(4)) vráti 4.

## ATAN

Vráti inverzný trigonometrický tangens zadaného čísla.

#### Syntax

ATAN(Číslo)

Táto funkcia vráti inverzný tangens čísla, čo je uhol (v radiánoch) a jeho tangens je číslo. Vrátený uhol je medzi hodnotami -PI/2 a PI/2.

Uhol v stupňoch získate použitím funkcie DEGREES.

#### Example

=ATAN(1) vráti 0.785398163397448 (PI/4 v radiánoch).

=DEGREES(ATAN(1)) vráti 45. Tangens 45 stupňov je 1.

## ATANH

Vráti inverzný hyperbolický tangens zadaného čísla.

#### Syntax

ATANH(Číslo)

Táto funkcia vracia inverzný hyperbolický tangens čísla, čo je číslo a jeho hyperbolický tangens je tiež číslo.

Číslo musí vyhovovať podmienke -1 < číslo < 1.

#### Example

=ATANH(0) vráti 0.

## ATAN2

Returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY).

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

#### Syntax

ATAN2(číslo_x; číslo_y)

NumberX is the value of the x coordinate.

číslo_y je hodnota súradnice y.

Programming languages have usually the opposite order of arguments for their atan2() function.

ATAN2 returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY)

#### Example

=ATAN2(-5;9) returns 2.07789 radians.

To get the angle in degrees apply the DEGREES function to the result.

=DEGREES(ATAN2(12.3;12.3)) returns 45. The tangent of 45 degrees is 1.

LibreOffice results 0 for ATAN2(0;0).

The function can be used in converting cartesian coordinates to polar coordinates.

=DEGREES(ATAN2(-8;5)) returns φ = 147.9 degrees

## COMBIN

Vráti počet kombinácií pre elementy bez opakovania.

#### Syntax

COMBIN(Číslo_1; Číslo_2)

Číslo_1 je počet položiek v sade.

Číslo_2 je počet vybraných položiek zo sady.

COMBIN vráti počet usporiadaných množín pre výber týchto položiek. Napríklad, ak máte 3 položky A, B a C v sade, môžete vybrať 2 položky 3 rôznymi spôsobmi takto: AB, AC a BC

COMBIN implementuje vzorec: Číslo_1!/(Číslo_2!*(Číslo_1-Číslo_2)!)

#### Example

=COMBIN(3;2) vráti 3.

## COMBINA

Vráti počet kombinácií s opakovaním.

#### Syntax

COMBINA(Číslo_1; Číslo_2)

Číslo_1 je počet položiek v sade.

Číslo_2 je počet vybraných položiek zo sady.

COMBINA returns the number of unique ways to choose these items, where the order of choosing is irrelevant, and repetition of items is allowed. For example if there are 3 items A, B and C in a set, you can choose 2 items in 6 different ways, namely AA, AB, AC, BB, BC and CC.

COMBINA implementuje vzorec: (Číslo_1+Číslo_2-1)! / (Číslo_2!(Číslo_1-1)!)

#### Example

=COMBINA(3;2) vráti 6.

## CONVERT_OOO

Converts to euros a currency value expressed in one of the legacy currencies of 19 member states of the Eurozone, and vice versa. The conversion uses the fixed exchange rates at which the legacy currencies entered the euro.

We recommend using the more flexible EUROCONVERT function for converting between these currencies. CONVERT_OOO is not a standardized function and is not portable.

#### Syntax

CONVERT_OOO(Value; "Text1"; "Text2")

Value is the amount of the currency to be converted.

Text1 is a three-character string that specifies the currency to be converted from.

Text2 is a three-character string that specifies the currency to be converted to.

Text1 and Text2 must each take one of the following values: "ATS", "BEF", "CYP", "DEM", "EEK", "ESP", "EUR", "FIM", "FRF", "GRD", "IEP", "ITL", "LTL", "LUF", "LVL", "MTL", "NLG", "PTE", "SIT", and "SKK".

One, and only one, of Text1 or Text2 must be equal to "EUR".

#### Example

=CONVERT_OOO(100;"ATS";"EUR") returns the euro value of 100 Austrian schillings.

=CONVERT_OOO(100;"EUR";"DEM") converts 100 euros into German marks.

Refer to the CONVERT_OOO wiki page for more details about this function.

## COS

Vracia kosínus daného uhla (v radiánoch).

#### Syntax

COS(Číslo)

Vracia (trigonometrický) kosínus Čísla, čo je uhol v radiánoch.

Kosínus uhla v stupňoch získate použitím funkcie RADIANS.

#### Example

=COS(PI()/2) vráti 0, kosínus PI/2 v radiánoch.

=COS(RADIANS(60)) vráti 0.5, kosínus 60 stupňov.

## COSH

Vráti hyperbolický kosínus čísla.

#### Syntax

COSH(Číslo)

Vracia hyperbolický kosínus Čísla.

#### Example

=COSH(0) vráti 1, hyperbolický kosínus z nuly.

## COT

Vracia kotangens daného uhla (v radiánoch).

#### Syntax

COT(Číslo)

Vracia (trigonometrický) kotangens Čísla, čo je uhol v radiánoch.

Kotangens uhla v stupňoch získate použitím funkcie RADIANS.

Kotangens uhlu sa rovná 1/tangens daného uhla.

### Príklady:

=COT(PI()/4) vráti 1, kotangens PI/4 v radiánoch.

=COT(RADIANS(45)) vráti 1, kotangens 45 stupňov.

## COTH

Vráti hyperbolický kotangens zadaného čísla (uhla).

#### Syntax

COTH(Číslo)

Vráti hyperbolický kotangens čísla.

#### Example

=COTH(1) vráti hyperbolický kotangens z 1, približne 1.3130.

## CSC

Returns the cosecant of the given angle (in radians). The cosecant of an angle is equivalent to 1 divided by the sine of that angle

This function is available since LibreOffice 3.5.

#### Syntax

COSH(Číslo)

Vracia (trigonometrický) kosínus Čísla, čo je uhol v radiánoch.

Kosínus uhla v stupňoch získate použitím funkcie RADIANS.

#### Example

=CSC(PI()/4) returns approximately 1.4142135624, the inverse of the sine of PI/4 radians.

=COS(RADIANS(60)) vráti 0.5, kosínus 60 stupňov.

## CSCH

Vráti hyperbolický kosekans čísla.

This function is available since LibreOffice 3.5.

#### Syntax

COSH(Číslo)

Vracia hyperbolický kosínus Čísla.

#### Example

=CSCH(1) returns approximately 0.8509181282, the hyperbolic cosecant of 1.

## DEGREES

Prevedie radiány na stupne.

#### Syntax

DEGREES(číslo)

Číslo je uhol v radiánoch, ktorý má byť prevedený na stupne.

#### Example

=DEGREES(PI()) vráti 180 stupňov.

## EUROCONVERT

Converts between old European national currency and to and from Euros.

#### Syntax

EUROCONVERT(Value; "From_currency"; "To_currency" [; full_precision [; triangulation_precision]])

Hodnota je hodnota meny, ktorá má byť prekonvertovaná.

From_currency and To_currency are the currency units to convert from and to respectively. These must be text, the official abbreviation for the currency (for example, "EUR"). The rates (shown per Euro) were set by the European Commission.

Full_precision is optional. If omitted or False, the result is rounded according to the decimals of the To currency. If Full_precision is True, the result is not rounded.

Triangulation_precision is optional. If Triangulation_precision is given and >=3, the intermediate result of a triangular conversion (currency1,EUR,currency2) is rounded to that precision. If Triangulation_precision is omitted, the intermediate result is not rounded. Also if To currency is "EUR", Triangulation_precision is used as if triangulation was needed and conversion from EUR to EUR was applied.

### Príklady

=EUROCONVERT(100;"ATS";"EUR") converts 100 Austrian Schillings into Euros.

=EUROCONVERT(100;"EUR";"DEM") converts 100 Euros into German Marks.

## EVEN

Zaokrúhľuje kladné čísla hore na najbližšie párne celé číslo a záporné čísla dole na najbližšie párne celé číslo.

#### Syntax

EVEN(číslo)

Vráti Číslo zaokrúhlené na dalšie párne celé číslo rôzne od nuly.

#### Example

=EVEN(2.3) vráti 4.

=EVEN(2) vráti 2.

=EVEN(0) vráti 0.

=EVEN(-0.5) vráti -2.

## EXP

Returns e raised to the power of a number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

EXP(číslo)

Číslo je mocnina, na ktorú bude e umocnené.

#### Example

=EXP(1) returns 2.71828182845904, the mathematical constant e to Calc's accuracy.

## FACT

Returns the factorial of a non-negative integer.

#### Syntax

FACT(Integer)

Returns Integer!, the factorial of Integer, calculated as 1*2*3*4* ... * Integer.

Returns the "invalid argument" error if the argument is negative integer.

Returns the #VALUE! error if the argument is greater than 170, cause too large integer (approximately 7E+306.

=FACT(0) returns 1 by definition.

If the argument is a non-integer number, it is converted to its floor integer value.

#### Example

=FACT(3) vráti 6.

=FACT(3.8) returns 6.

=FACT(0) vráti 1.

## GCD

Vráti najväčší spoločný deliteľ dvoch alebo viacerých celých čísel.

Najväčší spoločný deliteľ je najväčšie kladné celé číslo, ktorým sa dá bez zvyšku deliť všetky zadané celé čísla.

#### Syntax

GCD(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1; Integer 2; … ; Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=GCD(16;32;24) dá výsledok 8, pretože 8 je najväčšie číslo, ktoré delí čísla 16, 32, 24 bez zvyšku.

=GCD(B1:B3), kde bunky B1, B2, B3 obsahujú 9, 12, 9 dáva 3.

## GCD_EXCEL2003

The result is the greatest common divisor of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

GCD_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=GCD_EXCEL2003(5;15;25) returns 5.

## INT

Zaokrúhli číslo dole na najbližšie nižšie celé číslo.

#### Syntax

INT(číslo)

Vráti Číslo zaokrúhlené dole na najbližšie celé číslo.

Záporné čísla sú zaokrúhlované smerom dole.

#### Example

=INT(5.7) vráti 5.

=INT(-1.3) vráti -2.

## LCM

Vráti najmenší spoločný násobok jedného či viacerých celých čísel.

#### Syntax

LCM(Integer 1 [; Integer 2 [; … [; Integer 255]]])

Integer 1; Integer 2; … ; Integer 255 are integers, references to cells or to cell ranges of integers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 512; 1024 and 2000 as Integer 1;2 and 3, then 128000 will be returned.

## LCM_EXCEL2003

The result is the lowest common multiple of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

LCM_EXCEL2003(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### Example

=LCM_EXCEL2003(5;15;25) returns 75.

## LN

Vráti prirodzený logaritmus čísla založený na konštante e. Konštanta e má hodnotu približne 2,71828182845904.

#### Syntax

LN(Číslo)

Číslo je hodnota, ktorej prirodzený logaritmus sa bude počítať.

#### Example

=LN(3) vráti prirodzený logaritmus 3 (približne 1.0986).

=LN(EXP(321)) vráti 321.

## LOG

Vracia logaritmus o danom základe zo zadaného čísla.

#### Syntax

LOG(Number [; Base])

Číslo je hodnota, ktorej logaritmus se bude počítať.

Base (optional) is the base for the logarithm calculation. If omitted, Base 10 is assumed.

#### Example

=LOG(10;3) vráti logaritmus 10 pri základe 3 (približne 2.0959).

=LOG(7^4;7) vráti 4.

## LOG10

Vracia dekadický logaritmus z daného čísla.

#### Syntax

LOG10(Číslo)

Vracia dekadický logaritmus Čísla.

#### Example

=LOG10(5) vráti dekadický logaritmus čísla 5 (približne 0.69897).

## MOD

Vracia zvyšok po celočíselnom delení.

#### Syntax

MOD(Delenec; Deliteľ)

Pre celočíselný argument táto funkcia vracia delenec modulo deliteľ, ktorý má zvyšok, keď Delenec je delený Deliteľom.

Táto funkcia je implementovaná ako Delenec - Deliteľ * INT(Delenec/Deliteľ) .Tento vzorec dá výsledok, pokiaľ argumenty nie sú celé čísla.

#### Example

=MOD(22;3)vráti 1, čo je zvyšok po delení 22 tromi.

=MOD(11.25;2.5) vráti 1.25.

## MROUND

Vracia číslo zaokrúhlené na najbližší násobok iného čísla.

#### Syntax

MROUND(Číslo; Viacnásobné)

Vracia Číslo zaokrúhlené na najbližší násobok Viacnásobného.

Alternatívne môžeme použiť Násobok * ROUND(Číslo/Násobok).

#### Example

=MROUND(15.5;3) vráti 15, pretože 15.5 je bližšie k 15 (= 3*5) ako 18 (= 3*6).

=MROUND(1.4;0.5) vráti 1.5 (= 0.5*3).

## MULTINOMIAL

Returns the factorial of the sum of the arguments divided by the product of the factorials of the arguments.

#### Syntax

MULTINOMIAL(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=MULTINOMIAL(F11:H11) vráti 1260, pokiaľ F11 až H11 obsahujú hodnoty 2, 3 a 4. Toto odpovedá vzorcu =(2+3+4)! / (2!*3!*4!)

## ODD

Zaokrúhli kladné číslo na najbližšie vyššie nepárne celé číslo a záporné číslo na najbližšie nižšie nepárne celé číslo.

#### Syntax

ODD(Číslo)

Vráti Číslo zaokrúhlené hore na ďalšie nepárne číslo.

#### Example

=ODD(1.2) vráti 3.

=ODD(1) vráti 1.

=ODD(0) vráti 1.

=ODD(-3.1) vráti -5.

## PI

Vráti 3.14159265358979, hodnotu matematickej konštanty Pi na 14 desatinných miest.

#### Syntax

PI()

#### Example

=PI() vráti 3.14159265358979.

## POWER

Returns a number raised to another number.

#### Syntax

POWER(Base; Exponent)

Returns Base raised to the power of Exponent.

The same result may be achieved by using the exponentiation operator ^: Base^Exponent

=POWER(0,0) returns 1; =POWER(0,X) reports the #NUM! error when exponent X is negative.

=POWER(B,X) may or may not report a #NUM! error when B is negative and X is not an integer.

#### Example

=POWER(4;3) returns 64, which is 4 to the power of 3.

=4^3 also returns 4 to the power of 3.

=POWER(2;-3) returns 0.125.

=POWER(-2;1/3) returns -1.25992104989487.

=POWER(-2;2/3) returns the #NUM! error.

## PRODUCT

Vynásobí všetky zadané čísla a vráti ich súčin.

#### Syntax

PRODUCT(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

=PRODUCT(2;3;4) vráti 24.

## QUOTIENT

Vracia výsledok celočíselného delenia.

#### Syntax

QUOTIENT(Čitateľ; Menovateľ)

Vráti celočíselnú časť Čitateľa deleného Menovateľom.

QUOTIENT is equivalent to INT(numerator/denominator) for same-sign numerator and denominator, except that it may report errors with different error codes. More generally, it is equivalent to INT(numerator/denominator/SIGN(numerator/denominator))*SIGN(numerator/denominator).

#### Example

=QUOTIENT(11;3) vráti 3. Zvyšok po delení 2 je zanedbaný.

## RADIANS

Prevedie stupne na radiány.

#### Syntax

RADIANS(Číslo)

Číslo je uhol v stupňoch, ktorý bude prevedený na radiány.

#### Example

=RADIANS(90) vráti 1.5707963267949, čo je PI/2 v presnosti aplikácie Calc.

## RAND

Vráti náhodné číslo z intervalu 0 až 1.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

RAND()

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

To generate random numbers which never recalculate, either:

- Copy cells each containing =RAND(), and use Edit - Paste Special (with Paste All and Formulas not marked and Numbers marked).

- Use the Fill Cell command with random numbers (Sheet - Fill Cells - Fill Random Numbers).

- Use the RAND.NV() function for non-volatile random numbers.

#### Example

=RAND() vráti náhodné číslo medzi 0 a 1.

## RANDBETWEEN

Vracia náhodné celé číslo zo zadaného intervalu.

This function is always recalculated whenever a recalculation occurs.

#### Syntax

RANDBETWEEN(Dole; Hore)

Vrátí náhodné celé číslo medzi Dolnou a Hornou hranicou (vrátane).

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

To generate random numbers which never recalculate, copy cells containing this function, and use Edit - Paste Special (with Paste All and Formulas not marked and Numbers marked).

#### Example

=RANDBETWEEN(20;30) vráti celé číslo medzi 20 a 30.

## RANDBETWEEN.NV

Returns an non-volatile integer random number in a specified range.

#### Syntax

RANDBETWEEN.NV(Bottom; Top)

Returns an non-volatile integer random number between integers Bottom and Top (both inclusive). A non-volatile function is not recalculated at new input events or pressing F9. However, the function is recalculated when pressing F9 with the cursor on the cell containing the function, when opening the file, when using the Recalculate Hard command (Shift+Command Ctrl+F9) and when Top or Bottom are recalculated.

#### Example

=RANDBETWEEN.NV(20;30) returns a non-volatile integer between 20 and 30.

=RANDBETWEEN.NV(A1;30) returns a non-volatile integer between the value of cell A1 and 30. The function is recalculated when the contents of cell A1 change.

#### Technical information

This function is available since LibreOffice 7.0.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RANDBETWEEN.NV

## RAND.NV

Returns a non-volatile random number between 0 and 1.

#### Syntax

RAND.NV()

This function produces a non-volatile random number on input. A non-volatile function is not recalculated at new input events. The function does not recalculate when pressing F9, except when the cursor is on the cell containing the function or using the Recalculate Hard command (Shift+Command Ctrl+F9). The function is recalculated when opening the file.

#### Example

=RAND.NV() returns a non-volatile random number between 0 and 1.

#### Technical information

This function is available since LibreOffice 7.0.

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.LIBREOFFICE.RAND.NV

## ROUND

Zaokrúhľuje číslo na určitý počet desatinných miest.

#### Syntax

ROUND(Number [; Count])

Vráti Číslo zaokrúhlené hore (preč od nuly) na určitý Počet desatinných miest. Pokiaľ je počet vynechaný alebo zadaný ako nula, funkcia zaokrúhli dané číslo hore na celé číslo. Pokiaľ je počet záporný, funkcia zaokrúhli dané číslo na 10, 100, 1000, atď.

Táto funkcia zaokrúhľuje k najbližšiemu číslu. Ďalšie možnosti ponúka ROUNDDOWN a ROUNDUP.

#### Example

=ROUND(2.348;2) vráti 2.35

=ROUND(-32.4834;3) vráti -32.483. Zmeňte formát buniek, aby ste videli všetky desatiny.

=ROUND(2.348;0)vráti 2.

=ROUND(2.5) vráti 3.

=ROUND(987.65;-2) vráti 1000.

## ROUNDDOWN

Truncates a number while keeping a specified number of decimal digits.

## ROUNDUP

Zaokrúhli číslo hore (smerom od nuly) na určitý počet desatinných miest.

#### Syntax

ROUNDUP(Number [; Count])

Vráti Číslo zaokrúhlené hore (preč od nuly) na určitý Počet desatinných miest. Pokiaľ je počet vynechaný alebo zadaný ako nula, funkcia zaokrúhli dané číslo hore na celé číslo. Pokiaľ je počet záporný, funkcia zaokrúhli dané číslo na 10, 100, 1000, atď.

Táto funkcia zaokrúhľuje smerom hore. Ďalšie možnosti ponúka ROUNDDOWN a ROUND.

#### Example

=ROUNDUP(1.1111;2) vráti 1.12.

=ROUNDUP(1.2345;1) vráti 1.3.

=ROUNDUP(45.67;0) vráti 46.

=ROUNDUP(-45.67) vráti -46.

=ROUNDUP(987.65;-2) vráti 1000.

## SEC

Returns the secant of the given angle (in radians). The secant of an angle is equivalent to 1 divided by the cosine of that angle

This function is available since LibreOffice 3.5.

#### Syntax

SIN(Číslo)

Vráti sínus Čísla, kde uhol je v radiánoch.

Sínus uhla v stupňoch získate použitím funkcie RADIANS.

#### Example

=SEC(PI()/4) returns approximately 1.4142135624, the inverse of the cosine of PI/4 radians.

=COS(RADIANS(60)) vráti 0.5, kosínus 60 stupňov.

## SECH

Vráti hyperbolický sekans čísla.

This function is available since LibreOffice 3.5.

#### Syntax

SINH(Číslo)

Vráti hyperbolický sínus Čísla.

#### Example

=SINH(0) vráti 0, hyperbolický sínus nuly.

## SERIESSUM

Sčíta prvé prvky mocninového radu.

SERIESSUM(x;n;m;c) = c1xn + c2xn+m + c3xn+2m + ... + cixn + (i-1)m.

#### Syntax

SERIESSUM(X; N; M; Koeficienty)

X je vstupná hodnota mocninového radu.

N je počiatočná mocnina.

M je prírastok zväčšenia N

Koeficienty je postupnosť koeficientov. Pre každý koeficient je postupnosť súčtu rozšírená jednou sekciou.

#### Example

=SERIESSUM(A1; 0; 1; {1; 2; 3}) calculates the value of 1+2x+3x2, where x is the value in cell A1. If A1 contains 1, the formula returns 6; if A1 contains 2, the formula returns 17; if A1 contains 3, the formula returns 34; and so on.

Refer to the SERIESSUM wiki page for more details about this function.

## SIGN

Vracia znamienko čísla. Vráti 1 pre kladné a -1 pre záporné a 0, pokiaľ je to 0.

#### Syntax

SIGN(Číslo)

Číslo je číslo, ktorého znamienko má byť zistené.

#### Example

=SIGN(3.4) vráti 1.

=SIGN(-4.5) vráti -1.

## SIN

Vracia sínus daného uhla (v radiánoch).

#### Syntax

SIN(Číslo)

Vráti sínus Čísla, kde uhol je v radiánoch.

Sínus uhla v stupňoch získate použitím funkcie RADIANS.

#### Example

=SIN(PI()/2) vráti 1, sínus PI/2 v radiánoch.

=SIN(RADIANS(30)) vráti 0.5, sínus 30 stupňov.

## SINH

Vráti hyperbolický sínus čísla.

#### Syntax

SINH(Číslo)

Vráti hyperbolický sínus Čísla.

#### Example

=SINH(0) vráti 0, hyperbolický sínus nuly.

## SQRT

Vracia druhú odmocninu čísla.

#### Syntax

SQRT(Číslo)

Vráti kladnú druhú odmocninu Čísla

Číslo musí byť kladné.

#### Example

=SQRT(16) vráti 4.

=SQRT(-16) vráti chybuneplatný argument.

## SQRTPI

Vráti druhú odmocninu z (PI krát číslo).

#### Syntax

SQRTPI(Číslo)

Vráti kladnú hodnotu druhej odmocniny (PI násobené Číslom).

Toto je ekvivalent k SQRT(PI()*Číslo).

#### Example

=SQRTPI(2) vráti druhú odmocninu z (2PI), približne 2.506628.

## SUBTOTAL

Počíta medzisúčty. Ak oblasť už obsahuje medzisúčty, tak tie už nebudú použité na výpočet ďalšieho medzisúčtu. Ak chcete spracovávať iba filtrované záznamy, použite túto funkciu spolu s Automatickým filtrom.

#### Syntax

SUBTOTAL(Funkcia; Oblasť)

Funkcia je číslo zastupujúce jednu z nasledujúcich funkcií:

Index funkcie (includes hidden values) | Function index (ignores hidden values) | Funkcia
--- | --- | ---
1 | 101 | AVERAGE
2 | 102 | COUNT
3 | 103 | COUNTA
4 | 104 | MAX
5 | 105 | MIN
6 | 106 | PRODUCT
7 | 107 | STDEV
8 | 108 | STDEVP
9 | 109 | SUM
10 | 110 | VAR
11 | 111 | VARP

Use numbers 1-11 to include manually hidden rows or 101-111 to exclude them; filtered-out cells are always excluded.

Oblasť je oblasť, ktorej bunky budú spracované.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

You have a table in the cell range A1:B6 containing a bill of material for 10 students.

| A | B
--- | --- | ---
1 | ITEM | QUANTITY
2 | Pen | 10
3 | Pencil | 10
4 | Notebook | 10
5 | Rubber | 10
6 | Sharpener | 10

Let's say one row is manually hidden, then the first formula shows the sum of the 5 figures filtered; the second, only the sum of the 4 figures displayed.

=SUBTOTAL(9;B2:B6) returns 50.

=SUBTOTAL(109;B2:B6) returns 40.

## SUMSQ

Calculates the sum of the squares of a set of numbers.

#### Syntax

SUMSQ(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### Example

If you enter the numbers 2; 3 and 4 in the Number 1; 2 and 3 arguments, 29 is returned as the result.

## TAN

Vracia tangens daného uhla (v radiánoch).

#### Syntax

TAN(číslo)

Vráti tangens Čísla, uhol v radiánoch.

Kotangens uhla v stupňoch získate použitím funkcie RADIANS.

#### Example

=TAN(PI()/4) vráti 1, tangens PI/4 v radiánoch.

=TAN(RADIANS(45)) vráti 1, tangens 45 stupňov.

## TANH

Vráti hyperbolický tangens zadaného čísla.

#### Syntax

TANH(Číslo)

Vráti hyperbolický tangens Čísla.

#### Example

=TANH(0) vráti 0, hyperbolický tangens nuly.

## TRUNC

Truncates a number while keeping a specified number of decimal digits.

Related Topics

Functions by Category

Please support us!